Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.types
Class SensorSimulation.SensorNode

    java.lang.Object
      avrora.sim.Simulation.Node
          avrora.sim.types.SensorSimulation.SensorNode

Enclosing class:
  SensorSimulation

protected class SensorSimulation.SensorNode
extends Simulation.Node

The `SensorNode` class extends the `Node` class of a simulation by adding a reference to the radio device as well as sensor data input. It extends the `instantiate()` method to create a new thread for the node and to attach the sensor data input.

Field Summary

Fields inherited from class avrora.sim.Simulation.Node
`id, monitors, path, platform, platformFactory, simulator, thread`

Method Summary
`protected void` | `instantiate()` The `instantiate()` method of the sensor node extends the default simulation node by creating a new thread to execute the node as well as getting references to the radio and adding it to the radio model, adding an optional start up delay for each node, and connecting the node's sensor input to replay or random data as specified on the command line.
`protected void` | `remove()` The `remove()` method removes this node from the simulation.

Methods inherited from class avrora.sim.Simulation.Node
`addMonitor, getMonitors, getProgram, getSimulation, getSimulator, getThread, removeMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instantiate

    protected void instantiate()

  The `instantiate()` method of the sensor node extends the default simulation node by creating a new thread to execute the node as well as getting references to the radio and adding it to the radio model, adding an optional start up delay for each node, and connecting the node's sensor input to replay or random data as specified on the command line.

  Overrides:
    `instantiate` in class `Simulation.Node`

### remove

    protected void remove()

  The `remove()` method removes this node from the simulation. This method extends the default simulation remove method by removing the node from the radio air implementation.

  Overrides:
    `remove` in class `Simulation.Node`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD